Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DhcpOptions

    java.lang.Object
      com.amazonaws.services.ec2.model.DhcpOptions

    public class DhcpOptions

extends Object

The DhcpOptions data type.

Constructor Summary
`DhcpOptions()`

Method Summary
`List<DhcpConfiguration>` | `getDhcpConfigurations()` Contains information about the set of DHCP options.
`String` | `getDhcpOptionsId()` Specifies the ID of the set of DHCP options.
`void` | `setDhcpConfigurations(Collection<DhcpConfiguration> dhcpConfigurations)` Contains information about the set of DHCP options.
`void` | `setDhcpOptionsId(String dhcpOptionsId)` Specifies the ID of the set of DHCP options.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DhcpOptions` | `withDhcpConfigurations(Collection<DhcpConfiguration> dhcpConfigurations)` Contains information about the set of DHCP options.
`DhcpOptions` | `withDhcpConfigurations(DhcpConfiguration... dhcpConfigurations)` Contains information about the set of DHCP options.
`DhcpOptions` | `withDhcpOptionsId(String dhcpOptionsId)` Specifies the ID of the set of DHCP options.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DhcpOptions

    public DhcpOptions()

Method Detail

### getDhcpOptionsId

    public String getDhcpOptionsId()

  Specifies the ID of the set of DHCP options.

  Returns:
    Specifies the ID of the set of DHCP options.

### setDhcpOptionsId

    public void setDhcpOptionsId(String dhcpOptionsId)

  Specifies the ID of the set of DHCP options.

  Parameters:
    `dhcpOptionsId` - Specifies the ID of the set of DHCP options.

### withDhcpOptionsId

    public DhcpOptions withDhcpOptionsId(String dhcpOptionsId)

  Specifies the ID of the set of DHCP options.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsId` - Specifies the ID of the set of DHCP options.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDhcpConfigurations

    public List<DhcpConfiguration> getDhcpConfigurations()

  Contains information about the set of DHCP options.

  Returns:
    Contains information about the set of DHCP options.

### setDhcpConfigurations

    public void setDhcpConfigurations(Collection<DhcpConfiguration> dhcpConfigurations)

  Contains information about the set of DHCP options.

  Parameters:
    `dhcpConfigurations` - Contains information about the set of DHCP options.

### withDhcpConfigurations

    public DhcpOptions withDhcpConfigurations(DhcpConfiguration... dhcpConfigurations)

  Contains information about the set of DHCP options.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpConfigurations` - Contains information about the set of DHCP options.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDhcpConfigurations

    public DhcpOptions withDhcpConfigurations(Collection<DhcpConfiguration> dhcpConfigurations)

  Contains information about the set of DHCP options.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpConfigurations` - Contains information about the set of DHCP options.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.